diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPageDebug.java b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPageDebug.java
index e0ed7502c..c277e18df 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPageDebug.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPageDebug.java
@@ -1,6 +1,7 @@
 package net.minecraft.client.gui.options.data;
 
 import net.minecraft.client.Minecraft;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.core.item.ItemStack;
 import org.jetbrains.annotations.NotNull;
 
@@ -13,6 +14,6 @@ public class OptionsPageDebug
 
     @Override
     public boolean isVisible(@NotNull Minecraft mc) {
-        return mc.gameSettings.developerMode.value;
+        return GameSettings.DEVELOPER_MODE.value;
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
index c523ac235..5299c2583 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
@@ -13,14 +13,26 @@ import net.minecraft.client.gui.achievements.ScreenAchievements;
 import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.nbteditor.ScreenNBTEditor;
 import net.minecraft.client.gui.options.ScreenOptions;
-import net.minecraft.client.gui.options.components.*;
+import net.minecraft.client.gui.options.components.AvailableTexturePackListComponent;
+import net.minecraft.client.gui.options.components.BooleanOptionComponent;
+import net.minecraft.client.gui.options.components.DifficultyOptionComponent;
+import net.minecraft.client.gui.options.components.FloatOptionComponent;
+import net.minecraft.client.gui.options.components.FramerateOptionComponent;
+import net.minecraft.client.gui.options.components.KeyBindingComponent;
+import net.minecraft.client.gui.options.components.LanguagePackListComponent;
+import net.minecraft.client.gui.options.components.OptionsCategory;
+import net.minecraft.client.gui.options.components.SearchFieldComponent;
+import net.minecraft.client.gui.options.components.SelectedTexturePackListComponent;
+import net.minecraft.client.gui.options.components.ShortcutComponent;
+import net.minecraft.client.gui.options.components.ToggleableOptionComponent;
+import net.minecraft.client.gui.options.components.TooltipPickerComponent;
+import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.player.controller.PlayerControllerSP;
 import net.minecraft.client.sound.SoundEngine;
 import net.minecraft.client.util.helper.FileOpener;
 import net.minecraft.client.util.helper.JavaProcess;
 import net.minecraft.client.world.WorldClient;
 import net.minecraft.core.Global;
-import net.minecraft.core.UnexpectedThrowable;
 import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.block.Blocks;
@@ -60,35 +72,35 @@ public abstract class OptionsPages {
 
         GENERAL = register(new OptionsPage("gui.options.page.general.title", new ItemStack(Blocks.GRASS_RETRO))
             .withComponent(new OptionsCategory("gui.options.page.general.category.gameplay")
-                .withComponent(new FloatOptionComponent(mc.gameSettings.FoV))
-                .withComponent(new DifficultyOptionComponent(mc.gameSettings.difficulty))
-                .withComponent(new ToggleableOptionComponent<>(mc.gameSettings.placementMode))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.autoHit))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.easyBridge))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.viewBobbing))
+                .withComponent(new FloatOptionComponent(GameSettings.FOV))
+                .withComponent(new DifficultyOptionComponent(GameSettings.DIFFICULTY))
+                .withComponent(new ToggleableOptionComponent<>(GameSettings.PLACEMENT_MODE))
+                .withComponent(new BooleanOptionComponent(GameSettings.AUTO_HIT))
+                .withComponent(new BooleanOptionComponent(GameSettings.EASY_BRIDGE))
+                .withComponent(new BooleanOptionComponent(GameSettings.VIEW_BOBBING))
             )
             .withComponent(new OptionsCategory("gui.options.page.general.category.user_interface")
                 .withComponent(new ShortcutComponent("gui.options.page.general.button.edit_hud", () -> mc.displayScreen(new ScreenHudDesigner(mc.currentScreen))))
-                .withComponent(new IntegerOptionComponent(mc.gameSettings.guiScale))
-                .withComponent(new FloatOptionComponent(mc.gameSettings.screenPadding))
-                .withComponent(new TooltipPickerComponent(mc.gameSettings.tooltipStyle))
-                .withComponent(new ToggleableOptionComponent<>(mc.gameSettings.font))
-                .withComponent(new ToggleableOptionComponent<>(mc.gameSettings.chatVisibility))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.fpsInOverlay))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.versionInOverlay))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.foodHealthRegenOverlay))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.armorDurabilityOverlay))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.heldItemCountOverlay))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.heldItemTooltips))
-                .withComponent(new ToggleableOptionComponent<>(mc.gameSettings.itemDescriptions))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.hideUndiscoveredItems))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.dynamicCursor))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.musicToasts))
+                .withComponent(new ToggleableOptionComponent<>(GameSettings.GUI_SCALE).applyOnRelease())
+                .withComponent(new FloatOptionComponent(GameSettings.SCREEN_PADDING))
+                .withComponent(new TooltipPickerComponent(GameSettings.TOOLTIP_STYLE))
+                .withComponent(new ToggleableOptionComponent<>(GameSettings.FONT))
+                .withComponent(new ToggleableOptionComponent<>(GameSettings.chatVisibility))
+                .withComponent(new BooleanOptionComponent(GameSettings.FPS_IN_OVERLAY))
+                .withComponent(new BooleanOptionComponent(GameSettings.VERSION_IN_OVERLAY))
+                .withComponent(new BooleanOptionComponent(GameSettings.FOOD_HEALTH_REGEN_OVERLAY))
+                .withComponent(new BooleanOptionComponent(GameSettings.ARMOR_DURABILITY_OVERLAY))
+                .withComponent(new BooleanOptionComponent(GameSettings.HELD_ITEM_COUNT_OVERLAY))
+                .withComponent(new BooleanOptionComponent(GameSettings.HELD_ITEM_TOOLTIPS))
+                .withComponent(new ToggleableOptionComponent<>(GameSettings.ITEM_DESCRIPTIONS))
+                .withComponent(new BooleanOptionComponent(GameSettings.HIDE_UNDISCOVERED_ITEMS))
+                .withComponent(new BooleanOptionComponent(GameSettings.DYNAMIC_CURSOR))
+                .withComponent(new BooleanOptionComponent(GameSettings.MUSIC_TOASTS))
             )
             .withComponent(new OptionsCategory("gui.options.page.general.category.miscellaneous")
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.discordRichPresence))
-                .withComponent(new BooleanOptionComponent(mc.gameSettings.enableItemClumping))
-                .withComponent(new FloatOptionComponent(mc.gameSettings.autosaveTimer))
+                .withComponent(new BooleanOptionComponent(GameSettings.DISCORD_RICH_PRESENCE))
+                .withComponent(new BooleanOptionComponent(GameSettings.ENABLE_ITEM_CLUMPING))
+                .withComponent(new FloatOptionComponent(GameSettings.AUTOSAVE_TIMER))
             )
             .withComponent(new ShortcutComponent("gui.options.page.general.button.open_worlds_folder", () -> FileOpener.open(new File(mc.getMinecraftDir(), "saves"))))
             .withComponent(new ShortcutComponent("gui.options.page.general.button.open_screenshots_folder", () -> {
